INCLUDE_DIRECTORIES(
        ${CMAKE_SOURCE_DIR}/src
        ${ARTIS_INCLUDE_DIRS}
        ${Boost_INCLUDE_DIRS})

LINK_DIRECTORIES(${ARTIS_LIBRARY_DIRS})

ADD_EXECUTABLE(test_simple test_simple.cpp)

TARGET_LINK_LIBRARIES(test_simple ${Boost_LIBRARIES} ${ARTIS_LIBRARIES} factory_core)

ADD_EXECUTABLE(test_json test_json.cpp)

TARGET_LINK_LIBRARIES(test_json ${Boost_LIBRARIES} ${ARTIS_LIBRARIES} factory_core)
